Bug 1148754 - CLI - content hosts limit of activation key is not listed
Summary: CLI - content hosts limit of activation key is not listed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: sam20-tracker
TreeView+ depends on / blocked
 
Reported: 2014-10-02 09:43 UTC by Ales Dujicek
Modified: 2019-07-11 08:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:17:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Ales Dujicek 2014-10-02 09:43:20 UTC
Description of problem:

content host limit is not listed in activation-key info output:

# hammer -v activation-key info --id 38
Name:                  limit-55
ID:                    38
Description:           
Lifecycle Environment: Library
Content View:          Default Organization View
Host Collections:

and it is missing in activation-key list as well:

]# hammer activation-key list --organization-id 1  --search "name = limit*"
---|----------|----------|-----------------------|--------------------------
ID | NAME     | CONSUMED | LIFECYCLE ENVIRONMENT | CONTENT VIEW             
---|----------|----------|-----------------------|--------------------------
38 | limit-55 | 1 of     | Library               | Default Organization View
37 | limit-5  | 0 of     |                       |                          
---|----------|----------|-----------------------|--------------------------



Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140916.0

How reproducible:
always

Expected results:
content hosts limit is listed in info and list commands

Comment 1 RHEL Program Management 2014-10-02 09:43:32 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Christine Fouant 2014-10-22 17:20:58 UTC
Created redmine issue http://projects.theforeman.org/issues/8032 from this bug

Comment 4 Bryan Kearney 2014-10-27 22:06:38 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8032 has been closed
-------------
Christine Fouant
Applied in changeset commit:hammer-cli-katello|b6bcd3284d623a8b5559b4ebbc661bffa7867cb7.

Comment 5 Corey Welton 2014-12-04 13:57:53 UTC
qa -> jcallaha

Comment 6 jcallaha 2014-12-05 16:25:47 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
RHEL 65/66/7

rubygem-hammer_cli-0.1.3-1.201411181453git0c80831.el7.noarch
rubygem-hammer_cli_katello-0.0.6-1.201412050102git3acc58e.git.0.c645b3c.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
rubygem-hammer_cli_import-0.10.4-1.el7.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch
foreman-postgresql-1.8.0-0.develop.201412040955git563fa28.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-libvirt-1.8.0-0.develop.201412040955git563fa28.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2-1.el7.noarch
foreman-compute-1.8.0-0.develop.201412040955git563fa28.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.1-1.el7.noarch
foreman-proxy-1.8.0-0.develop.201411261259git6ddd00d.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-release-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-gce-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-vmware-1.8.0-0.develop.201412040955git563fa28.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-ovirt-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-selinux-1.8.0-0.develop.201411281557gitf4a857f.el7.noarch
foreman-1.8.0-0.develop.201412040955git563fa28.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-parent-cert-1.0-1.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-qpid-broker-1.0-1.noarch

Comment 7 Bryan Kearney 2015-08-11 13:30:44 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:17:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.